> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Organizations for a user

> Retrieve all Organizations of which this user is a member. Required permissions: `None`



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/organizations/v1/organizations
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/organizations/v1/organizations:
    get:
      tags:
        - Organizations
      summary: Get the Organizations for a user
      description: >-
        Retrieve all Organizations of which this user is a member. Required
        permissions: `None`
      operationId: getUserOrgs
      parameters:
        - description: >-
            Optional value to filter organization names with. Must exactly match
            organization name.
          in: query
          name: nameFilter
          required: false
          schema:
            type: string
        - description: How many orgs from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: Max number of orgs to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrganizationEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PaginatedOrganizationEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
        orgs:
          items:
            $ref: '#/components/schemas/OrganizationV1'
          type: array
      required:
        - orgs
        - metadata
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    OrganizationV1:
      properties:
        defaultEnvironmentId:
          description: Id of the default environment used in the organization.
          example: 6231327c7a0af0281c01a65f
          type: string
        id:
          description: Organization identifier in the users collection.
          example: 623132867a0af0281c01a69c
          type: string
        members:
          description: List of the organization members.
          items:
            $ref: '#/components/schemas/OrganizationMemberV1'
          type: array
        name:
          description: Organization name.
          example: MyOrg
          type: string
      required:
        - id
        - name
        - members
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    OrganizationMemberV1:
      properties:
        organizationRole:
          $ref: '#/components/schemas/OrganizationRoleV1'
        userId:
          description: Id of the user in the org.
          example: 6234c9542bc6731e3471ade8
          type: string
      required:
        - userId
        - organizationRole
      type: object
    OrganizationRoleV1:
      description: Role of member in the organization.
      enum:
        - member
        - admin
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````